Subject: Re: bug#11127: 24.0.94; [PATCH] Tutorial breaks with modified key bindings

From: Glenn Morris <[email-masked]>
Date: Fri, 30 Mar 2012 13:23:46 -0400

"Aaron S. Hawley" wrote:

>     emacs -Q
>     (dir-locals-set-class-variables
>      'unwritable-directory
>      '((nil . ((buffer-read-only . t)))))
>     (dir-locals-set-directory-class default-directory 'unwritable-directory)

By the way, I know this example is partially taken fron the manual, but
I think I am going to say "don't do that", since it also affects some
non-file buffers, eg log-edit ones. Although you probably won't be
trying to commit a file from an unwritable directory anyway.
The more obvious sources of problems, eg dired and vc-dir, happen to
already make their buffers read-only.